> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Exb Submissions

> List EXB submissions for an organization.



## OpenAPI

````yaml /api-reference/preview.json get /gb/organizations/{organization_id}/exb/p11ds/submissions
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /gb/organizations/{organization_id}/exb/p11ds/submissions:
    get:
      tags:
        - Great Britain
        - Expenses and Benefits
        - Great Britain
        - EXB P11D
      summary: List Exb Submissions
      description: List EXB submissions for an organization.
      operationId: >-
        list_exb_submissions_gb_organizations__organization_id__exb_p11ds_submissions_get
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Organization Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 10
            title: Limit
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cursor
        - name: prev_cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Prev Cursor
        - name: sort
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
            default:
              - id
            title: Sort
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_ExbSubmissionResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerToken: []
components:
  schemas:
    PaginatedResponse_ExbSubmissionResponse_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ExbSubmissionResponse'
          type: array
          title: Items
        pagination:
          $ref: '#/components/schemas/PaginationMeta'
      additionalProperties: true
      type: object
      required:
        - items
        - pagination
      title: PaginatedResponse[ExbSubmissionResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ExbSubmissionResponse:
      properties:
        id:
          type: string
          title: Id
        org_id:
          type: string
          title: Org Id
        sm_id:
          type: string
          title: Sm Id
        tax_year:
          type: integer
          title: Tax Year
        created_at:
          type: string
          format: date-time
          title: Created At
        state:
          anyOf:
            - $ref: '#/components/schemas/EXBSMState'
            - type: 'null'
        state_timestamp:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: State Timestamp
        state_content:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: State Content
      additionalProperties: true
      type: object
      required:
        - id
        - org_id
        - sm_id
        - tax_year
        - created_at
      title: ExbSubmissionResponse
    PaginationMeta:
      properties:
        limit:
          type: integer
          title: Limit
        has_next:
          type: boolean
          title: Has Next
          default: false
        has_prev:
          type: boolean
          title: Has Prev
          default: false
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
        prev_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Prev Cursor
        total:
          type: integer
          title: Total
          default: 0
      additionalProperties: true
      type: object
      required:
        - limit
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    EXBSMState:
      type: string
      enum:
        - CREATED
        - SUBMITTED
        - ACKNOWLEDGED
        - SUCCESS
        - ERROR
        - ARCHIVED
      title: EXBSMState
  securitySchemes:
    BearerToken:
      type: oauth2
      flows:
        password:
          scopes:
            read:all: Read all
            write:all: Write all
            read:health_check: Read health check
            write:health_check: Write health check
            read:wage_types: Read wage types
            write:wage_types: Write wage types
          tokenUrl: >-
            https://auth-preview.intermezzo.ai/authorize?audience=api-preview.intermezzo.ai

````